// pages/apply/paymentTemplate/add/add.js
import * as UTIL from '../../../../utils/util.js';
import * as API from '../../../../utils/API.js';
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isIPX: app.globalData.isIPX,
    radio:'1',
    active:0,
    showCapitalExpenditureType:false,
    form:{
      approvalItemTemplate:{
        approvalItems:'',//审批事项
        submitCompany:'',//提交单位
        submitDate:'',//提交日期
        submitter:'',//提交人
        telephone:'',//联系方式
        totalAmount:'',//合计金额
        templateName:'',//模板名称 选择保存模板的时候添加
        dataType:'',//数据类型
        transfers:[{//事项信息集合以下是List对象信息
          capitalExpenditureType:'',//资金支出类别
          succeedAmount:'',//成功支付金额
          payer:'',//付款方
          payerAccount:'',//付款方账户
          bankType:'',//所属银行
          isPeers:'',//是否同行
          operatorCode:'',//操作员代码
          enterpriseCode:'',//企业编码
          expenditureAmount:'',//支出总金额
          applyDate:'',//申请时间
          transferStatus:'',//转账状态
          auditStatus:'',//审批状态
          paymentState:'',//支付状态
          approvalMode:'',//审批模式
          paymentTime:'',//支付时间
          bankPriority:'',//银行处理优先级
          clientPriority:'',//客户处理优先级
          transferType:'',//申请类型
          requiredTransferTime:'',//要求转账时间
          remark:'',//付款事由
          startTime:'',//开票日期
          endTime:'',//到期日期
          orderType:'',//汇票类型
          bankAccountType:'',//账户类别
          villageAccountType:'',//账户分类
        }],
        bankAccountType:'1',//账户类别1 公户2私户
        payeeList:[{//收款方账户集合
          payeeId:'',//收款方id
          payee:'',//收款方
          bankDeposit:'',//开户行
          incomeAmount:'',//收入金额
          bankType:'',//所属银行0其他银行1中国银行2农商行（山东省）3农业银行4建设银行5工商银行
          payeeAccount:'',//收款账户
        }],

      }
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    var that = this;
    UTIL.httpRequest(API.URL_GET_GETINFO, {method:'GET'}, {
      success: (res) => {
        if (res.code == API.SUCCESS_CODE) {
          that.setData({
            ["form.approvalItemTemplate.submitCompany"]:res.user.bookName,
            ["form.approvalItemTemplate.submitDate"]:UTIL.js_date_time(new Date()),
            ["form.approvalItemTemplate.submitter"]:res.user.nickName,
            ["form.approvalItemTemplate.telephone"]:res.user.phonenumber,
          })

        }
      }
    })
  },
  openBox(even){
    this.setData({
      [even.currentTarget.dataset.name]:true
    })
  },
  closeBox(even){
    this.setData({
      [even.currentTarget.dataset.name]:false
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})